document.addEventListener('DOMContentLoaded', function(){
    console.info('DOM loaded');

    // Easy tabs

    let tabBtns = document.querySelectorAll('.tab-btn'),
        tabBlocks = document.querySelectorAll('.tab-block');
        
    if(tabBtns.length > 0 && tabBlocks.length > 0){
        let tabBlockArea, tabArea, tabBlock;

        for(var i = 0; i < tabBtns.length; i++){
            tabBtns[i].addEventListener('click', function(){
                tabBlock = document.querySelector('.tab-block[data-tab="'+this.dataset.tab+'"]');
                tabBlockArea = this.dataset.tabArea;
                clearTabs(tabBtns, this);
                clearTabs(tabBlocks, this);
                this.classList.add('active');
                tabBlock.classList.add('active');
            });
        }
    
        function clearTabs(array, elem){
            for(i = 0; i < array.length; i++){
                let elemTabModal = elem.dataset.modal;
                tabArea = array[i].dataset.tab;
    
                if(elemTabModal){
                    if(tabArea > 1){
                        array[i].classList.remove('active');
                    }
                } else {
                    array[i].classList.remove('active');
                }
            }
        }
    }


    let cCheckboxesList = document.querySelector('.cascad-checkboxes__list')

    if(cCheckboxesList){
        cCheckboxesList.addEventListener('click', function(e){
            if(e.target.classList.contains('cascad-checkboxes__trigger')){
                if(e.target.classList.contains('active')){
                    let allSubTriggers = e.target.nextElementSibling.querySelectorAll('.cascad-checkboxes__trigger')
                    
                    e.target.classList.remove('active')
                    allSubTriggers.forEach(trigger => { trigger.classList.remove('active') })
                } else {
                    e.target.classList.add('active')
                }
            }
        })

        cCheckboxesList.addEventListener('change', function(e){
            if(e.target.classList.contains('d-checkbox__input')){
                console.log('d-checkbox__input')

                let parentElement = e.target.closest('li');

                if(parentElement.classList.contains('cascad-checkboxes__parent')){
                    let allSubCheckboxes = parentElement.querySelectorAll('.d-checkbox__input'),
                        checkboxStatus = e.target.checked;

                    allSubCheckboxes.forEach(checkbox => {
                        checkbox.checked = checkboxStatus;
                    });
                }
            }
        })
    }
})